// -*- C++ -*-

namespace OpenChams {
/*! \class Name
 *
 *  This class provides an automatic management of shared name.
 */

/*! \fn Name::Name(std::string str)
 *   \brief gets a shared Name, creates it if it does not exist.
 *
 *   \param str the string associated to the name.
 */

/*! \fn Name::Name(const char* cstr)
 *   \brief gets a shared Name, creates it if it does not exist.
 *
 *   \param cstr the character string associated to the name.
 *
 *   \note this method is not yet available in python
 */

/*! \fn bool Name::operator==(const Name&)
 *   \brief redifines the '==' operator.
 */
 
/*! \fn bool Name::operator==(const std::string&)
 *   \brief redifines the '==' operator.
 */
 
/*! \fn bool Name::operator<(const Name) const
 *   \brief redifines the '<' operator.
 */

/*! \fn inline const std::string& Name::getString() const
 *   \brief returns the string associated to the Name.
 */
 
}
